@book{Mul89,
   title =     {Arithmétique des ordinateurs. Études et recherches en informatique},
   author =    {J.-M. Muller},
   publisher = {Masson},
   isbn =      {},
   year =      {1989},
   series =    {},
   edition =   {},
   volume =    {},
   url =       {}
}

@Article{Leh61,
  author =       "M. Lehman and N. Burla",
  title =        "Skip Techniques for High-Speed Carry-Propagation in
                 Binary Arithmetic Units",
  journal =      j-IRE-TRANS-ELEC-COMPUT,
  volume =       "EC-10",
  number =       "4",
  pages =        "691--698",
  month =        dec,
  year =         "1961",
  CODEN =        "IRELAO",
  DOI =          "http://dx.doi.org/10.1109/TEC.1961.5219274",
  ISSN =         "0367-9950",
  bibdate =      "Thu Jul 14 14:45:04 MDT 2011",
  bibsource =    "http://www.computer.org/tc/;
                 http://www.math.utah.edu/pub/tex/bib/ieeetranscomput.bib",
  URL =          "http://ieeexplore.ieee.org/stamp/stamp.jsp?tp=&arnumber=5219274",
  acknowledgement = ack-nhfb,
  fjournal =     "IRE Transactions on Electronic Computers",
}

 @phdthesis{coo66
,note={URL: {\tt http://cr.yp.to/\allowbreak bib/\allowbreak entries.html\#\allowbreak 1966/\allowbreak cook}}
,title={{On the minimum computation time of functions}}
,booktitle={{On the minimum computation time of functions}}
,author={Stephen A. Cook}
,publisher={Department of Mathematics, Harvard University}
,year={1966}
}

@article{Knu97,
  author    = {Donald E. Knuth},
  title     = {The Art of Computer Programming, Volume 2: Seminumerical
Algorithms},
  journal   = {Addison-Wesley, 3rd edition},
  volume    = {},
  year      = {1997},
  url       = {},
  timestamp = {},
  biburl    = {},
  bibsource = {}
}
@article{Kar63
,note={URL: {\tt http://cr.yp.to/\allowbreak bib/\allowbreak entries.html\#\allowbreak 1963/\allowbreak karatsuba}}
,author={Anatoly A. Karatsuba and Y. Ofman}
,ISSN={0038--5689}
,journal={Soviet Physics Doklady}
,pages={595--596}
,title={{Multiplication of multidigit numbers on automata}}
,volume={7}
,year={1963}
}
@inproceedings{Fur07,
 author = {F\"{u}rer, Martin},
 title = {Faster Integer Multiplication},
 booktitle = {Proceedings of the Thirty-ninth Annual ACM Symposium on Theory of Computing},
 series = {STOC '07},
 year = {2007},
 isbn = {978-1-59593-631-8},
 location = {San Diego, California, USA},
 pages = {57--66},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/1250790.1250800},
 doi = {10.1145/1250790.1250800},
 acmid = {1250800},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {FFT, complexity, computer arithmetic, discrete Fourier transform, integer multiplication},
} 
@article{Sch71,
  author    = {A.~Schonhage and V.~Strassen},
  title     = {Fast Multiplication of Large Numbers)},
  journal   = {Archives for electronic computing},
  volume    = {7, pp. 281-292 German},
  year      = {1971},
  url       = {},
  timestamp = {},
  biburl    = {},
  bibsource = {}
}


@article{Fag92,
  author    = {B. Fagin},
  title     = {Fast Addition of Large Integers},
  journal   = {IEEE Transactions on Computers},
  volume    = {abs/0801.1416},
  year      = {1992},
  url       = {},
  timestamp = {},
  biburl    = {},
  bibsource = {}
}

@article{Ani08,
  author    = {Anindya De and
               Piyush P. Kurur and
               Chandan Saha and
               Ramprasad Saptharishi},
  title     = {Fast Integer Multiplication using Modular Arithmetic},
  journal   = {CoRR},
  volume    = {abs/0801.1416},
  year      = {2008},
  url       = {http://arxiv.org/abs/0801.1416},
  timestamp = {Thu, 03 Nov 2016 10:13:54 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/abs-0801-1416},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@article{You12,
  author    = {Youssef Bassil and
               Aziz Barbar},
  title     = {Sequential and Parallel Algorithms for the Addition of Big-Integer
               Numbers},
  journal   = {CoRR},
  volume    = {abs/1204.0232},
  year      = {2012},
  url       = {http://arxiv.org/abs/1204.0232},
  timestamp = {Wed, 10 Oct 2012 21:28:50 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/abs-1204-0232},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@book{Kor01,
 author = {Koren, Israel},
 title = {Computer Arithmetic Algorithms},
 year = {2001},
 isbn = {1568811608},
 edition = {2nd},
 publisher = {A. K. Peters, Ltd.},
 address = {Natick, MA, USA},
} 
@book{Knu98,
 author = {Knuth, Donald E.},
 title = {The Art of Computer Programming,  Volume 3: (2Nd Ed.) Sorting and Searching},
 year = {1998},
 isbn = {0-201-89685-0},
 publisher = {Addison Wesley Longman Publishing Co., Inc.},
 address = {Redwood City, CA, USA},
} 


@Article{Mat98,
author = {Matteo Frigo, Charles E. Leiserson, and Keith H. Randall},
title = {The Implementation of the Cilk-5 Multithreaded Language},
journal = {Conference on programming Language Design and Implementation (PLDI), Montreal, Canada, June},
year = {1998},
}

@Article{Woo,
author = {D.~H.~Woo},
title = {Extending Amdahl's Law for Energy-Efficient Computing in the Many-Core Era}, Eds},
journal = {IEEE Computer Society},
year = {2008},
}

@Article{Vas08,
author = {Vasily Volkov and James W. Demmel},
title = {Benchmarking GPUs to Tune Dense Linear Algebra}, Eds},
journal = {IEEE Computer Society},
year = {2008},
}
@Article{Eri13,
author = {Eric Saule, Kamer Kaya, And Umit V. Catalyurek},
title = {Performance Evaluation of Sparse Matrix Multiplication Kernels on Intel Xeon Phi},
journal = {},
year = {2013},
}
@Article{Don83,
author = {Donea, J.},
title = {Arbitrary Lagrangian-Eulerian finite element methods, Chapter 10 of \textit{Computational Methods for Transient Analysis}, Eds},
journal = {T.Belytschko and T.J.R Hughes, Elsevier, New York, USA},
year = {1983},
}

@Article{Ask00,
author = {H. Askes, L.J. Sluys, and B.B.C de Jong},
title = {Remeshing Techniques for R-adaptive And Combined H/R-Adaptive analysis with application to 2D/3D Crack Propagation},
publisher = {European Congress on computational Methods in Applied Sciences and Engineering, ECCOMAS},
year = {2000}
}
@Article{Win67,
author = {A. Winslow},
title = {Numerical solution of the quasilinear Poisson equation in a nonuniform triangle mesh},
publisher = {J. Comput. Phys., pp. 149-179},
year = {1967}
}

@Article{Bab78,
author = {Babu\v{s}ka, C. Rheinboldt,},
title = {A-posteriori error estimates for the finite element method},
publisher = {Int. J. Numer. Methods Engrg. 12, 1597–1615},
year = {1978}
}
@Article{Bra82,
author = {J. U. Brackbill and J. S. Saltzman},
title = {Adaptive zoning for singular problems in two dimentions},
publisher = {J. Comput. Phys., 46, pp. 342-368},
year = {1982}
}
@Article{God72,
author = {S. K. Godunov and G. P. Prokopov},
title = {USSR},
publisher = {Comput. Math. Phys., 12, 182},
year = {1972}
}
@inproceedings{boubehziz:hal-01255989,
  TITLE = {{Mise en {\oe}uvre informatique et analyse des performances compar{\'e}es d'une m{\'e}thode de d{\'e}composition de domaine en recouvrement avec joints}},
  AUTHOR = {Boubehziz, Toufik and Christophe, Alexandra and Santandrea, Laurent and Le Bihan, Yann},
  URL = {https://hal.archives-ouvertes.fr/hal-01255989},
  BOOKTITLE = {{8{\`e}me Conf{\'e}rence Europ{\'e}enne sur les M{\'e}thodes Num{\'e}riques en Electromagn{\'e}tisme (NUMELEC 2015)}},
  ADDRESS = {Saint-Nazaire, France},
  PAGES = {2 p.},
  YEAR = {2015},
  MONTH = Jun,
  HAL_ID = {hal-01255989},
  HAL_VERSION = {v1},
}
%@Article{Lad91,
%author = {Ladevèze, J.P. Pelle and Ph. Rougeot},
%title = {Error estimation and mesh optimization for classical finite elements},
%publisher = {Engineering Computations, 8, 69-80},
%year = {1991}
%}


@Article{Ban85,
author = {Bank, R.E. and A. Weiser},
title = {Some a posteriori error estimators for elliptic partial differential equations},
publisher = {Math. of Computation, 44, 283-301},
year = {1985}
}


@Article{Tho74,
author = {J. F. Thompson, F. C. Thames, And C. W. Masten},
title = {USSR},
publisher = {J. Comput. Phys., 15, 299},
year = {1974}
}
@Article{Vor92,
author = {H. A. Van Der Vorst, Bi-CGSTAB},
title = {A fast and smoothly converging variant of Bi-CG for the solution of nonsymmetric linear systems},
publisher = {SIAM J. Sci. Statist. Comput., 13},
year = {1992}
}
@Article{Saa96,
author = {Y. Saad},
title = {Iterative Methods for Sparse Lienar Systems},
publisher = {PWS Publishing, Boston},
year = {1996}
}
@Article{Mar82,
author = {Marsha J. Berger},
title = {Adaptive mesh refinement for hyperbolic partial differential equations},
publisher = {Stanford University},
year = {1982}
}

@Article{Gropp80,
author = {W. D Gropp},
title = {A test of moving mesh refinement for $2-D$ scalar hyperbolic problems},
publisher = {Siam Journal on Scientific and Statistical Computing, Vol. 1, No. 2},
year = {1980}
}

@Article{Hue98,
author = {A. Huerta, B.A. Rodr\'iguez-Ferran, and C.P. D\`iez},
title = {Adaptive Finite Element Strategies Based on Error Assessment},
publisher = {International center for numerical methods in engineering, publication CIMNE N - 136},
year = {1998}
}

@Article{Cra89,
author = {A.W. Craig, M. Ainsworth, J.Z. Zhu and O.C. Zienkiewiez},
title = {$h$ and $h-p$ Version error estimation and Adaptive Procedures from theory to practice},
publisher = {Engineering with computers 5, 221-234},
year = {1989}
}

@Article{Tadashi,
author = {Tadashi Hodohara},
title = { Finite element mesh using $h-$refinement procedure},
publisher = {},
year = {}
}

@Article{Bra93,
author = {J. U. Brackbill}
title = { An adaptive grid with direction control},
publisher = {J. Comput. Phys. 108, 38}
year = {1993}.
}
@Article{Tho85,
author = {J. F. Thompson, Z. A. Warsi, and C. W. Mastin},
title = {Numerical Grid Generation}
publisher ={North-Holland, New York},
year = {1985}.
}
@Article{Bor98,
author = {H. Borouchaki and Pascal J. Frey},
title = { Adaptive traingular-quadrilateral mesh generation},
publisher = {International Journal for numerical methods in engineering, vol. 41, 915-934},
year = {1982}
}

@Article{Ara00,
author = {T. Densye de Ara\'ujo, D. Roehl D. L.F. Marha},
title = {An adaptive strategy for elastic-plastic two-dimensional finite element analysis},
publisher = {European Congress on Computational Methods in Applied Science and Engineering, Barclona},
year = {2000}
}

@Article{Dwy80,
author = {H. A Dwyer, R. J Kee and B. R Sanders},
title = {An adaptive Grid Method for Problems in Fluid Dynamics and Heat Transfer},
publisher = {AiAA Journal Vol. 18, No. 10 79-1464R},
year = {1980}
}

@Article{Mil94,
author = {Miller, M.J.},
title = {Moving finite elements},
publisher = {Clarendon Press, Oxford},
year = {1994}
}
@Article{Ped98,
author = {Pedro Diez, Antonio Huerta},
title = {Departament de matematica Aplicada III, E.T.S. Ingenieros de Caminos, Univsersitat Politecnica de catalunya, E-08034 Barcelona, Spain},
journal = {Comput. Methods Appl. Mech. Engrg, 176 215-229, Elsevier Science},
year = {1998},
}
@Article{Chr09,
author = {Ch. J. Budd, W.Huang, and R.D. Russell},
title = {Adaptive with moving mesh},
journal = {Cambridge University Press, Acta Numerica, pp. 1–131},
year = {2009}
}

@Article{Ai92,
author = {Ainsworth, M. and J.T. Oden},
title = {A procedure for a posteriori error estimation for $h-p$ finite element methods},
journal = {Computer Methods in Applied Mechanics and Engineering, 101, 73-96},
year = {1992}
}

@Article{Ain93,
author = {Ainsworth, M. and J.T. Oden},
title = {A unified approach to a posteriori error estimation using element residual methods},
journal = {Numericshe mathematik, 65, 23-50},
year = {1993}
}
@Article{Ai00,
author = {Ainsworth, M. and J.T. Oden},
title = {A posteriori error estimation in finite element analysis},
journal = {John Wiley and Sons, New York},
year = {2000}
}

@Article{Cen01,
author = {H. D. Ceniceros and T. Y. Hou},
title = {An efficient dynamically adaptive mesh for potentially signular solutions},
journal = {J. Comput. Phys. 172, 609-639},
year = {2001}
}

@Article{Tan05,
author = {Y. Di, R. Li, T. Tang and P. Zhang},
title = {Moving mesh finite element methods for the incomprissible Navier-Stokes equations},
journal = {SIAM J. Sci. Comput. 26, 1036-1056},
year = {2005}
}

@Article{Tan00,
author = {R. Li, T. Tang and P. Zhang},
title = {Moving mesh finite element algorithm for singular problems in two and three space dimensions},
journal = {J. Comput. Phys., 177(2002), pp. 365-393}.
year = {2000}
}

@Article{Tan01,
author = {R. Li, T. Tang and P. Zhang},
title = {Moving mesh methods in multiple dimensions based on harmonic maps},
journal = {J. Comput. Phys., 170(2001), pp. 562-588},
year = {2001}
}

@Article{Yan08,
author = {Yana Di, Ruo Li and T. Tang},
title = {A general moving mesh framework in $3D$ and its application for simulating the mixture of multi-phase},
journal = {Commun. Comput. Phys. Vol. 3, No.3 pp. 586-602},
year = {2008}
}

@Article{Zie87,
author = {O. C. Zienkiewicz, J. Z. Zhu},
title = {A simple error estimator and adaptive procedure for practical engineering analysis},
journal = {Int. J. Numer. methods Eng. 24 337-357},
year = {1987}
}

@Article{Zie92,
author = {O. C. Zienkiewicz, J. Z. Zhu},
title = {The superconvergent jpatch recovery (SPRà and adaptive finite element refinement},
journal = {Comp. Meth. in Applied Mechanics and Engineering, 101, 207-224},
year = {1992}
}

@Article{Dev16,
author = {M. Devilliers, B. Vinent and I. Mnassri},
title = {A new adaptive mesh refinement to model water flow around fshing nets},
journal = {Ocean Engineering 113, 34-43},
year = {2016}
}

@book{book:944886,
   title =     {Grid Generation and Adaptive Algorithms},
   author =    {Mark Ainsworth, Bill Senior (auth.), Marshall W. Bern, Joseph E. Flaherty, Mitchell Luskin (eds.)},
   publisher = {Springer-Verlag New York},
   isbn =      {978-1-4612-7191-8,978-1-4612-1556-1},
   year =      {1999},
   series =    {The IMA Volumes in Mathematics and its Applications 113},
   edition =   {1},
   volume =    {},
   url =       {http://gen.lib.rus.ec/book/index.php?md5=01f4dd16213612989f4e3e1fddd63796}
}

@Article{Dav99,
author = {David P. Bacon, Nash(at N. Ahmad, Zafer Boybeyit, Thomas J. Dunn, Mary S. Hall, Puis C.S. Lee, R. Ananthakrishna Sarma, And Mark DL Turner},
title = { A dynamically adapting weather and dispersion model : the Operational multiscale envonment model with Grid Adativity (OMEGA)},
journal = {Cener for atmospheric physics, Sciens Applications International corportation McLean, Virginia},
year = {1999}
}

@Article{An98,
author = {A. Huerta, A. Rodriguez-Ferran and P. D\`iez},
title = { Adaptive finite element strategies base on error assessment},
journal = {Departament de matematica Aplicada II, ETS de Ingeieros de Caminos Edifici C2, Campus Nord, Universitat Politecnica de Catalunya E-08034 Barcelona, Spain},
year = {1998}
}

@Article{Ric97,
author = {J. Riccius, K. Schweizerh of, M. Baumann},
title = {Combination of adaptivity and mesh smoothing for the finite element analysis of shells with intersections},
journal = {Int. J. Numer. metho. Eng. 40 2459},
year = {1997}
}
@Article{Dvi91,
author = {A. S. Dvinsky},
title = {Adaptive grid generation from harmonic maps on Riemannian manifolds},
journal = {J. Comput. Phys., 95, pp. 450-476},
year = {1991}
}

@Manual{Ste16,
title = {The Gerris Tutorial},
OPTauthor = {St\'ephane Popinet},
OPTorganization = {•},
OPTyear = {2011},
}

@Article{Ask01,
author = {H. Askes, A. Rodr\'igues-Ferran},
title = {A combined $rh-$adaptive scheme based on domain subdivition formulation and linear examples},
journal = {Int. J. Numer. Method. Eng. 51, 253},
year = {2001}
}

@Article{Pro98,
author = {N. Provatas, N. Goldenfeld, J. Dantzig},
title = {Efficient computation of dendritic microstructures using adaptive mesh refinement},
journal = {Phys. Rev. Lett. 80, 3308-3311},
year = {1998}
}

@Article{Pro99,
author = {N. Provatas, N. Goldenfeld, J. Dantzig},
title = {Adaptive mesh refinement computation of solidification microstructures using dynamic data structures},
journal = {J. Comput. Phys. 148 265-290},
year = {1999}
}

@Article{Mac07,
author = {J. A. Mackenzie and W. R. Mekwi},
title = {On the use of moving mesh methods to solve PDEs, in Adaptve Computations: Theory and Algorithms},
journal = {T. Tang and J. Xu, eds, Science Press, Beijing, pp. 242-278},
year = {2007}
}

@Article{Car97,
author = {Carey GF, Pehlivanov Al},
title = {Local error estimation and adaptive remeshing scheme for least-squares mixed finite elements},
journal = {Comput Metho Appl Engng, 150:125-31},
year = {1997}
}
@Article{Rit02,
author = {Rita C.C. Silva, Abimeal F.D. Loula},
title = {Local residual error estimator and adaptive finite element analysis of Poisson's problems},
journal = {Computers and Structures 80, 2017-2034},
year = {2002}
}

@Article{Zie87,
author = {Zienkiewics, O.C. and Zhu, J.Z.},
title = {A simple error estimator and adaptive procedure for pratical engineering analysis},
journal = {Int. J. Num. Metho. Eng., 24, 337-357},
year = {1987}
}


@Article{Wei01,
author = {Weiming Cao, Weizhang Huang, and Robert D. Russelz},
title = {An Error Indicator Monitor Function for An r-Adaptive Finite-Element Method},
journal = {Journal of Computational Physics 170, 871-892},
year = {2001}
}


@Article{Nem07,
author = {Marian Nemec, and Micheal J. Aftosmis},
title = {Adjoint Error Estimation and Adaptive Refinement for Embedded-Boundary Cartesian Meshes},
journal = {18th AIAA Computational Fluid Dynamics Conference 25 - 28 June, Miami, FL},
year = {2007}
}


@book{Wei11,
   title =     {Adaptive moving mesh methods},
   author =    {Weizhang Huang, Robert D. Russell (auth.)},
   publisher = {Springer-Verlag New York},
   isbn =      {1441979158,9781441979155},
   year =      {2011},
   series =    {Applied Mathematical Sciences 174},
   edition =   {1},
   volume =    {},
   url =       {}
}

@book{Ria14,
   title =     {TELEMAC Modeling system 2D hydrodynamics TELEMAC-2D Software, USER MANUAL},
   author =    {R. ATA, C. Goeury, and J-M. Hervouet},
   publisher = {},
   isbn =      {1441979158,9781441979155},
   year =      {2014},
   series =    {},
   edition =   {7.0},
   volume =    {},
   url =       {}
}

TELEMAC MODELLING SYSTEM